Bug 820667 - Document reload needed behavior
Document reload needed behavior
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-10 11:57 EDT by Heiko W. Rupp
Modified: 2012-07-09 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 16:34:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (24.10 KB, image/png)
2012-05-10 11:57 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-05-10 11:57:25 EDT
Created attachment 583623 [details]
Screenshot

See Bug 820623

Some changes that are made to as7 servers do not become effective immediately, but only after a reload.
As RHQ/JON has no general way of conveying out-of-band information like this from the agent to the UI/ user, the configuration editor will ask the server when a live configuration is fetched if a reload is needed and will show a yellow bar (see screenshot).

This is far from perfect, as e.g. operations that put the as7 server into "need reload" state are not captured that way. Same for addition of child resources.

As a workaround, the user can go to the config tab (of any of the resources of the server) and if that shows the yellow bar, go to the base server resource and trigger a reload

Note that if the server was in the need reload state and the agent goes down and the user hits the configuration page, this yellow note will be displayed even if the target server has been reloaded meanwhile.
Comment 2 Armine Hovsepyan 2012-07-03 11:19:55 EDT
verified.

verification case:

Click Inventory -> Click Servers -> Click EAP6 -> click transactions -> configuration -> Recovery Listener check No from Yes -> Click Save-> Click on EAP server again -- yellow message is being shown asking to reload server -> click EAP -> Operations -> New Schedule -> choose reload from drop down list -> click schedule Now. 

no changes are being set before the reload.

Note You need to log in before you can comment on or make changes to this bug.